CEPH-CREATE-KEYS(8)

NAME
ceph-create-keys - ceph keyring generate tool

SYNOPSIS
ceph-create-keys [-h] [-v] [-t seconds] [--cluster name] --id id

DESCRIPTION

ceph-create-keys is a utility to generate bootstrap keyrings using the given monitor when it is ready.

It creates following auth entities (or users)

client.admin
        and its key for your client host.

client.bootstrap-{osd, rgw, mds}
        and their keys for bootstrapping corresponding services

To list all users in the cluster:

            ceph auth ls

OPTIONS

    --cluster
        name of the cluster (default 'ceph').

    -t  time out after seconds (default: 600) waiting for a response from the monitor

    -i, --id
        id of a ceph-mon that is coming up. ceph-create-keys will wait until it joins quorum.

    -v, --verbose
        be more verbose.

AVAILABILITY

ceph-create-keys is part of Ceph, a massively scalable, open-source, distributed storage system. Please refer to the Ceph documentation at https://docs.ceph.com for more information.

SEE ALSO

ceph(8)

COPYRIGHT
2010-2026, Inktank Storage, Inc. and contributors. Licensed under Creative Commons Attribution Share Alike 3.0 (CC-BY-SA-3.0)